Package edu.wisc.game.rest

## Class PregameService

- java.lang.Object
- - edu.wisc.game.rest.PregameService

-     @Path("/PregameService")
      public class PregameService
      extends Object

  Retrieving various pages needed by the client to customize the player's pregame and postgame experience. Discussed with Kevin, Paul and Gary (2022-11-10).

  For documentation, see game-api-pregame.html

  Maintaining compatibility with several instruction booklets that used to be hard-coded in the client, and controlled by the config parameter "init":

              ...(init === 3
                ? INSTRUCTIONS_R =  [R1, R2, R3, R4, R5, R6, R7, R8] = instructions_relational
                : init === 11
                ? INSTRUCTIONS_11 = [I11_1 ... ] = doubling_scheme
                : init === 2
                ? INSTRUCTIONS_2  = [I2_1 ... ] = stalemate_instructions

                : INSTRUCTIONS_1 =  [I1_1 ...] = instructions_NOBINS

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `PregameService.BookletSize` | An HTML page + error code
    `static class` | `PregameService.Page` | An HTML page + error code
    `static class` | `PregameService.PregameResponseBase` | Some info + error code

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PregameService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PregameService.BookletSize` | `display​(String playerId)` |
    `PregameService.Page` | `display​(String playerId, String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PregameService

          public PregameService()

  - ### Method Detail

    - #### display

          @GET
          @Path("/getPage")
          @Produces("application/json")
          public PregameService.Page display​(@QueryParam("playerId")
                                             String playerId,
                                             @QueryParam("name")
                                             String name)

    - #### display

          @GET
          @Path("/getBookletSize")
          @Produces("application/json")
          public PregameService.BookletSize display​(@QueryParam("playerId")
                                                    String playerId)